com.microfocus.awm.model

## Interface ITaurusJob

- All Superinterfaces:
    IJob
  All Known Implementing Classes:
    TaurusJob

      public interface ITaurusJob
      extends IJob

  A z/OS job managed by AWM. ITaurusJobs are usually created by AWM tools which support submitting z/OS jobs. Existing ITaurusJobs are visible in the Team Developer Job View.
  See Also:
    `ITaurusJobUtilities`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActionLabel()` Gets the label of the action which scheduled the job.
    `java.lang.String` | `getCacheID()` Gets the cache ID of the job.
    `java.util.Date` | `getCreationTimeStamp()` Gets the local (OS) time from when the job was created.
    `IExecutionContext` | `getExecutionContext()` Gets the execution context of the job.
    `java.lang.String` | `getOutParmDSN()` Gets the output parameter file name which the job will use to write down output parameters when finished.
    `IResource` | `getResource()` Gets the resource where the job was executed from.
    `java.lang.String` | `getReturnCode()` Gets the return code of the finished job.
    `ToolDescriptor` | `getToolDescr()` Gets the tool descriptor which caused the job execution.
    `void` | `setActionLabel(java.lang.String pLabel)` Sets the action label of the job.
    `void` | `setCacheID(java.lang.String pID)` Deprecated. do not use. The cache ID is now set internally.
    `void` | `setCreationTimeStamp(java.util.Date pTimeStamp)` Sets the creation time stamp.
    `void` | `setExecutionContext(IExecutionContext pContext)` Sets the execution context of the job.
    `void` | `setJobID(java.lang.String pJobID)` Sets the job ID.
    `void` | `setOutParmDSN(java.lang.String pDSN)` Sets the output parameter file name which the job will use to write down output parameters when finished.
    `void` | `setResource(IResource pRes)` Sets the resource where the job was executed from.
    `void` | `setReturnCode(java.lang.String pCode)` Sets the return code of the job.
    `void` | `setToolDescr(ToolDescriptor pDescr)` Sets the tool descriptor which caused the job execution.
    `void` | `waitForJob()` Starts an eclipse background job waiting for the end of a TAURUS job executing on the corresponding remote system.

    - ### Methods inherited from interface com.microfocus.zos.model.IJob

      `cancel, endedWithError, getCompletionCode, getCompletionInfo, getContents, getEndTime, getExecutionTime, getFullDsn, getInputTime, getJobClass, getJobID, getJobOutput, getName, getOwner, getPhase, getPosition, getPriority, getState, getSystemImage, getType, isFinished, setClass, setCompletionCode, setCompletionInfo, setName, setOwner, setPhase, setPos, setPriority, setState, setType`

- - ### Method Detail

    - #### waitForJob

          void waitForJob()
                   throws TaurusCoreException

      Starts an eclipse background job waiting for the end of a TAURUS job executing on the corresponding remote system.
      Throws:
        `TaurusCoreException` - if an exception occurs while waiting for the job to finish

    - #### setCacheID

          @Deprecated
          void setCacheID(java.lang.String pID)

      Deprecated. do not use. The cache ID is now set internally.
      Sets the cache ID of the job.
      Parameters:
        `pID` - the new cache ID

    - #### getCacheID

          java.lang.String getCacheID()

      Gets the cache ID of the job.
      Returns:
        the cache ID

    - #### getResource

          IResource getResource()

      Gets the resource where the job was executed from.
      Returns:
        the context resource or `null`

    - #### setResource

          void setResource(IResource pRes)

      Sets the resource where the job was executed from.
      Parameters:
        `pRes` - the new context resource

    - #### getToolDescr

          ToolDescriptor getToolDescr()

      Gets the tool descriptor which caused the job execution.
      Returns:
        the tool descriptor

    - #### setToolDescr

          void setToolDescr(ToolDescriptor pDescr)

      Sets the tool descriptor which caused the job execution.
      Parameters:
        `pDescr` - the new tool descriptor

    - #### getReturnCode

          java.lang.String getReturnCode()

      Gets the return code of the finished job.
      Returns:
        the jobs return code or `null` if the job has never finished properly or the return code has not been set

    - #### setReturnCode

          void setReturnCode(java.lang.String pCode)

      Sets the return code of the job.
      Parameters:
        `pCode` - the new return code

    - #### getExecutionContext

          IExecutionContext getExecutionContext()

      Gets the execution context of the job.
      Returns:
        the execution context

    - #### setExecutionContext

          void setExecutionContext(IExecutionContext pContext)

      Sets the execution context of the job.
      Parameters:
        `pContext` - the new execution context

    - #### getActionLabel

          java.lang.String getActionLabel()

      Gets the label of the action which scheduled the job.
      Returns:
        the action label

    - #### setActionLabel

          void setActionLabel(java.lang.String pLabel)

      Sets the action label of the job.
      Parameters:
        `pLabel` - the new action label

    - #### getOutParmDSN

          java.lang.String getOutParmDSN()

      Gets the output parameter file name which the job will use to write down output parameters when finished.
      Returns:
        the output parameter file name

    - #### setOutParmDSN

          void setOutParmDSN(java.lang.String pDSN)

      Sets the output parameter file name which the job will use to write down output parameters when finished.
      Parameters:
        `pDSN` - the new output parameter file name

    - #### setJobID

          void setJobID(java.lang.String pJobID)

      Description copied from interface: `IJob`
      Sets the job ID.
      Specified by:
        `setJobID` in interface `IJob`
      Parameters:
        `pJobID` - the job ID to set

    - #### setCreationTimeStamp

          void setCreationTimeStamp(java.util.Date pTimeStamp)

      Sets the creation time stamp.
      Parameters:
        `pTimeStamp` - the new local time stamp
      See Also:
        `getCreationTimeStamp()`

    - #### getCreationTimeStamp

          java.util.Date getCreationTimeStamp()

      Gets the local (OS) time from when the job was created. This is usually near but not exactly equal to the actual submit time.
      Returns:
        the local time stamp when the job was originally created

Copyright © 2015 Micro Focus GmbH. All rights reserved.